Workflow Campaigns

Workflow Campaigns API

1.0.0OAS 3.1
API Base URL
  • Server 1:https://{your-bynder-domain}
Security
OAuth2 (oauth2)

Authorization Code OAuth Flow

Authorize URL: https://{your-auth-url}

Token URL: https://{your-bynder-domain}/v6/authentication/oauth2/token

Scopes:

  • CAMPAIGNADD -
  • CAMPAIGNEDIT -
  • CAMPAIGNOVERVIEW -
  • CAMPAIGNREMOVE -
  • CAMPAIGNWRITE -

Client Credentials OAuth Flow

Token URL: https://{your-bynder-domain}/v6/authentication/oauth2/token

Scopes:

  • CAMPAIGNADD -
  • CAMPAIGNEDIT -
  • CAMPAIGNOVERVIEW -
  • CAMPAIGNREMOVE -
  • CAMPAIGNWRITE -
permanentToken (apiKey)

An API key is a token that you provide when making API calls. Include the token in a header parameter called Authorization.

Example: Authorization: 123

Campaigns

Retrieve campaigns

Requires the CAMPAIGNOVERVIEW security role.

get
https://{your-bynder-domain}/api/workflow/campaigns

Response

200 application/json

Successfully retrieved campaigns

IDstring

Example:00000000-0000-0000-0000-000000000000

accountIDstring

Example:00000000-0000-0000-0000-000000000000

campaignMetapropertiesobject
closedboolean
createdByIDstring

Example:00000000-0000-0000-0000-000000000000

dateCreatedstring(date-time)

Example:2017-01-10T07:43:12+00:00

dateModifiedstring(date-time)

Example:2017-01-10T07:43:12+00:00

dateStartstring(date-time)

Example:2017-02-01T00:00:00+00:00

deadlinestring(date)

Example:2017-03-03T00:00:00

descriptionstring

Example:Campaign example

keystring

Example:excp

namestring

Example:Example campaign

presetIDstring

Example:00000000-0000-0000-0000-000000000000

responsibleIDstring

Example:00000000-0000-0000-0000-000000000000

thumbnailURLstring

Example:https://bynder-public-eu-central-1.s3.eu-central-1.amazonaws.com:443/workflow/campaign/988BBB04-F0E2-4A28-B5F892890849BAFE/FEE78434-649A-449B-A62A1C6C6D59CAC3/500x500.jpg

get/api/workflow/campaigns
 
200 application/json

Create campaign

Requires the CAMPAIGNADD security role.

post
https://{your-bynder-domain}/api/workflow/campaigns

Body

application/json
campaignMetapropertiesobject
closedboolean
dateStartstring(date)

Example:2015-01-01T00:00:00

deadlinestring(date)

Example:2015-09-04T00:00:00

descriptionstring

Example:Campaign example

keystring

Example:excp

namestring

Example:Example campaign

responsibleIDstring

Example:00000000-0000-0000-0000-000000000000

Response

201 application/json

Campaign created successfully

idstring

Example:00000000000000000000000000000000

post/api/workflow/campaigns

Body

{}
 
201 application/json

Delete campaign

Requires the CAMPAIGNREMOVE security role.

delete
https://{your-bynder-domain}/api/workflow/campaigns/{id}

Path Parameters

idstringrequired

Example:00000000-0000-0000-0000-000000000000

Response

204

Campaign deleted successfully

delete/api/workflow/campaigns/{id}
 
204